<div class="panel-body table-responsive">
    <table class="table table-hover">
        <thead>
        <tr>
            <th></th>
            <th>Název souboru</th>
            <th></th>
        </tr>
        </thead>
        <tbody n:snippet="files">
        {foreach $files as $file}
            {var $formId = '#' . $uid . '-' . $file->uName}
            <tr>
            {if $file->isImage()}
                <td class="icon"><img src="{plink :ComponentDiskBrowser:REST:Api:readFile uid => $file->uName, token => $token, size => 'small'}"></td>
            {else}
                <td></td>
            {/if}
                <td id="{$uid . '-' . $file->uName}">
                    <form action="{link renameFile! uid => $file->uName}" class="ajax to-show" hidden method="post">
                        <div class="input-group">
                            <input class="form-control" name="name" value="{$file->getFileName()}"/>
                            <div class="input-group-append">
                                <span n:if="$file->getExtension() != ''" class="input-group-text">{$file->getExtension()}</span>
                                <button type="submit" class="btn btn-primary input-group-text"><span class="fa fa-save" style="margin-left: 5px;"></span></button>
                            </div>
                        </div>
                    </form>
                    <div class="to-hide">{$file->getFileName()}.{$file->getExtension()}</div>
                </td>
                <td>
                    <a n:if="$configuration->read && $file->isImage()" data-toggle="lightBox" data-files-id="{$filesId}"
                            {if $file->isImage()}class="lightbox-item"{/if}
                            data-src_large="{plink :ComponentDiskBrowser:REST:Api:readFile uid => $file->uName, token => $token, size => 'x-large'}"
                            data-src_small="{plink :ComponentDiskBrowser:REST:Api:readFile uid => $file->uName, token => $token, size => 'small'}"
                            title="Otevření souboru"><span class="fa fa-book fa-2x"></span></a>
                    <a n:if="$configuration->read"
                            href="{plink :ComponentDiskBrowser:REST:Api:readFile uid => $file->uName, token => $token}"
                            title="Stažení souboru"><span class="fa fa-download fa-2x"></span></a>
                    <a n:if="$configuration->update" onclick="showInput({$formId});"
                                                     title="Přejmenování souboru"><span
                                class="fa fa-pencil fa-2x"></span></a>
                    <a n:if="$configuration->delete" href="{link deleteFile! uid => $file->uName}" class="ajax"
                                                     title="Smazání souboru"><span class="fa fa-times fa-2x"></span></a>
                </td>
            </tr>
        {/foreach}
        </tbody>
    </table>
</div>
<script>
</script>
